corda / net.corda.node.services.statemachine / ReceiveRequest

# ReceiveRequest

`interface ReceiveRequest<T : SessionMessage> : SessionedFlowIORequest, WaitingRequest`

### Properties

receiveType | `abstract val receiveType: Class<T>`
userReceiveType | `abstract val userReceiveType: Class<*>?`

### Inherited Properties

session | `abstract val session: FlowSession`

### Inheritors

ReceiveOnly | `data class ReceiveOnly<T : SessionMessage> : ReceiveRequest<T>`
SendAndReceive | `data class SendAndReceive<T : SessionMessage> : SendRequest, ReceiveRequest<T>`